> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a contact by ID.

> Get campaign contact. Returns an object with the contact



## OpenAPI

````yaml https://api.callers.ai/openapi-json get /campaigns/{campaignId}/contacts/{contactId}
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /campaigns/{campaignId}/contacts/{contactId}:
    get:
      tags:
        - Contacts
      summary: Get a contact by ID.
      description: Get campaign contact. Returns an object with the contact
      operationId: CampaignPublicController_getCampaignContactById
      parameters:
        - name: campaignId
          required: true
          in: path
          description: Id of the campaign as a string ObjectId value.
          schema:
            type: string
        - name: contactId
          required: true
          in: path
          description: Id of the contact as a string ObjectId value.
          schema:
            type: string
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactPublicDto'
      security:
        - Authorization: []
components:
  schemas:
    ContactPublicDto:
      type: object
      properties:
        id:
          type: string
          description: The id of the contact. string representation of a ObjectId.
        name:
          type: string
          description: The name of the contact.
        phoneNumber:
          type: string
          description: The phone number of the contact.
        campaignId:
          type: string
          description: The id of the campaign. string representation of a ObjectId.
        status:
          type: string
          description: The status of the contact.
        attempts:
          type: number
          description: The total number of call attempts made to reach the contact.
        failedReason:
          type: string
          description: The reason for failing the call.
        failedReasonDetails:
          type: string
          description: The reason details for failing the call.
        createdAt:
          type: string
          description: The date and time the contact was created in ISO format.
        lastAttempt:
          type: string
          description: The date and time of the last call attempt in ISO format.
      required:
        - id
        - name
        - phoneNumber
        - campaignId
        - status
        - attempts
        - createdAt
        - lastAttempt
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````